This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981588 - gnome-shell killed by SIGTRAP
gnome-shell killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 04:20 EDT by Ken Sugawara
Modified: 2016-03-11 18:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:52:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb session log (gdb gnome-shell /var/tmp/ccpp-*/coredump ) (19.88 KB, text/plain)
2013-07-05 04:20 EDT, Ken Sugawara
no flags Details
strace output of gnome-shell (7.42 MB, text/plain)
2013-07-05 04:23 EDT, Ken Sugawara
no flags Details

  None (edit)
Description Ken Sugawara 2013-07-05 04:20:03 EDT
Created attachment 769135 [details]
gdb session log (gdb gnome-shell /var/tmp/ccpp-*/coredump )

Description of problem:
gnome-shell killed by SIGTRAP rendering GUI desktop unuseable.


Version-Release number of selected component (if applicable):
gnome-shell-3.8.3-3.fc19.x86_64
clutter-1.14.4-4.fc19.x86_64


How reproducible:
Always (on this machine)

Steps to Reproduce:
1. Run "init 5" as root
2. 
3.

Actual results:
You get the sad face "Oh no! Something has gone wrong" screen

Expected results:
gdb login screen

Additional info:
See the attached file. It contains backtrace of the killed process.
Comment 1 Ken Sugawara 2013-07-05 04:23:38 EDT
Created attachment 769136 [details]
strace output of gnome-shell

Here's strace log of gnome-shell.
I mv'ed /usr/bin/gnome-shell to /usr/bin/gnome-shell.orig then created a wrapper script /usr/bin/gnome-shell that does the following:

strace -f -tt -o /var/tmp/gnome-shell.strace.$$ /usr/bin/gnome-shell.orig "$@"
Comment 2 Florian Müllner 2013-07-06 18:45:06 EDT
Are you using the proprietary nvidia driver? The backtrace looks similar to the one in https://bugzilla.gnome.org/show_bug.cgi?id=703174.
Comment 3 Ken Sugawara 2013-07-07 19:54:39 EDT
(In reply to Florian Müllner from comment #2)
> Are you using the proprietary nvidia driver? The backtrace looks similar to
> the one in https://bugzilla.gnome.org/show_bug.cgi?id=703174.

No, I'm not. Here's the output from lsmod:

$ lsmod
Module                  Size  Used by
ipt_MASQUERADE         12880  3 
xt_conntrack           12760  1 $ lsmod
Module                  Size  Used by
ipt_MASQUERADE         12880  3 
xt_conntrack           12760  1 
iptable_nat            13011  1 
nf_conntrack_ipv4      14808  2 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
nf_nat_ipv4            13199  1 iptable_nat
nf_nat                 25743  3 ipt_MASQUERADE,nf_nat_ipv4,iptable_nat
nf_conntrack           86376  6 ipt_MASQUERADE,nf_nat,nf_nat_ipv4,xt_conntrack,iptable_nat,nf_conntrack_ipv4
tcp_lp                 12663  0 
fuse                   82124  1 
tun                    27056  1 
bridge                105667  0 
stp                    12868  1 bridge
llc                    14045  2 stp,bridge
uinput                 17625  0 
vfat                   17411  1 
fat                    60509  1 vfat
snd_hda_codec_hdmi     41153  1 
snd_hda_codec_idt      50411  1 
snd_hda_intel          44037  0 
joydev                 17332  0 
snd_hda_codec         178826  3 snd_hda_codec_hdmi,snd_hda_codec_idt,snd_hda_intel
hid_lenovo_tpkbd       13846  0 
snd_hwdep              17650  1 snd_hda_codec
snd_seq                64849  0 
snd_seq_device         14136  1 snd_seq
snd_pcm                98071  3 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel
snd_page_alloc         18268  2 snd_pcm,snd_hda_intel
iTCO_wdt               13480  0 
iTCO_vendor_support    13419  1 iTCO_wdt
snd_timer              28698  2 snd_pcm,snd_seq
mperf                  12607  0 
coretemp               13435  0 
snd                    79388  9 snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_hda_codec_idt,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,snd_seq_device
i2c_i801               18136  0 
kvm_intel             133627  0 
lpc_ich                16977  0 
r8169                  67284  0 
mii                    13527  1 r8169
mfd_core               13182  1 lpc_ich
soundcore              14491  1 snd
mei                    70788  0 
kvm                   439238  1 kvm_intel
microcode              23403  0 
serio_raw              13375  0 
binfmt_misc            17463  1 
usb_storage            56128  0 
radeon                786905  1 
i2c_algo_bit           13257  1 radeon
drm_kms_helper         46114  1 radeon
crc32_pclmul           13113  0 
crc32c_intel           22079  0 
ttm                    80208  1 radeon
drm                   268572  3 ttm,drm_kms_helper,radeon
ghash_clmulni_intel    13259  0 
i2c_core               34059  5 drm,i2c_i801,drm_kms_helper,i2c_algo_bit,radeon
iptable_nat            13011  1 
nf_conntrack_ipv4      14808  2 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
nf_nat_ipv4            13199  1 iptable_nat
nf_nat                 25743  3 ipt_MASQUERADE,nf_nat_ipv4,iptable_nat
nf_conntrack           86376  6 ipt_MASQUERADE,nf_nat,nf_nat_ipv4,xt_conntrack,iptable_nat,nf_conntrack_ipv4
tcp_lp                 12663  0 
fuse                   82124  1 
tun                    27056  1 
bridge                105667  0 
stp                    12868  1 bridge
llc                    14045  2 stp,bridge
uinput                 17625  0 
vfat                   17411  1 
fat                    60509  1 vfat
snd_hda_codec_hdmi     41153  1 
snd_hda_codec_idt      50411  1 
snd_hda_intel          44037  0 
joydev                 17332  0 
snd_hda_codec         178826  3 snd_hda_codec_hdmi,snd_hda_codec_idt,snd_hda_intel
hid_lenovo_tpkbd       13846  0 
snd_hwdep              17650  1 snd_hda_codec
snd_seq                64849  0 
snd_seq_device         14136  1 snd_seq
snd_pcm                98071  3 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel
snd_page_alloc         18268  2 snd_pcm,snd_hda_intel
iTCO_wdt               13480  0 
iTCO_vendor_support    13419  1 iTCO_wdt
snd_timer              28698  2 snd_pcm,snd_seq
mperf                  12607  0 
coretemp               13435  0 
snd                    79388  9 snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_hda_codec_idt,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,snd_seq_device
i2c_i801               18136  0 
kvm_intel             133627  0 
lpc_ich                16977  0 
r8169                  67284  0 
mii                    13527  1 r8169
mfd_core               13182  1 lpc_ich
soundcore              14491  1 snd
mei                    70788  0 
kvm                   439238  1 kvm_intel
microcode              23403  0 
serio_raw              13375  0 
binfmt_misc            17463  1 
usb_storage            56128  0 
radeon                786905  1 
i2c_algo_bit           13257  1 radeon
drm_kms_helper         46114  1 radeon
crc32_pclmul           13113  0 
crc32c_intel           22079  0 
ttm                    80208  1 radeon
drm                   268572  3 ttm,drm_kms_helper,radeon
ghash_clmulni_intel    13259  0 
i2c_core               34059  5 drm,i2c_i801,drm_kms_helper,i2c_algo_bit,radeon
Comment 4 Fedora End Of Life 2015-01-09 13:41:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:52:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Ken Stailey 2015-04-06 05:38:35 EDT
Unremediated gnome-shell killed by SIGTRAP also in Fedora 22 bug 1190472
Comment 7 Lorenzo Stella 2016-03-11 18:10:01 EST
Same here, "gnome-shell killed by SIGTRAP" running on kernel 4.4.3-201.fc22.x86_64
I noticed this happens to me when there are many windows open. My guess would it be problems with the nvidia proprietary drivers.

Note You need to log in before you can comment on or make changes to this bug.